# Virtual Cards Entitlements

The Sudo Platform entitlements system is used to control consumption of Sudo Platform resources and the Virtual Cards service integrates with this system.

{% hint style="info" %}
Read more about the Sudo Platform entitlements system and how to integrate with it in the [Entitlements](/guides/entitlements.md) section of the Sudo Platform documentation.
{% endhint %}

The following table describes the entitlements used to control access to the Virtual Cards service:

<table><thead><tr><th>Entitlement</th><th width="186.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>sudoplatform.virtual-cards.serviceUserEntitled</td><td>Boolean</td><td>Whether or not the user is entitled to use virtual cards related functionality.</td></tr><tr><td>sudoplatform.virtual-cards.virtualCardMaxPerSudo</td><td>Numeric</td><td>Maximum number of cards that a user can provision for each Sudo.</td></tr><tr><td>sudoplatform.virtual-cards.virtualCardProvisionUserEntitled</td><td>Boolean</td><td>Whether or not the user is entitled to provision a virtual card.</td></tr><tr><td>sudoplatform.virtual-cards.virtualCardTransactUserEntitled</td><td>Boolean</td><td>Whether or not the user is entitled to transact on virtual cards.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sudoplatform.com/guides/virtual-cards/virtual-cards-entitlements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
